Le point sur les normes ETSI


Le point sur les normes ETSI

Pour ceux qui seraient perdu, voici une explication sur les normes actuelles.
Cela concerne également les autres marques, mais ici nous sommes sur un forum dédié à Frsky, donc je ne parlerai que de nos Taranis.

IMPORTANT: ne pas confondre firmware de la carte RF de la radio et le firmware OpenTX. Ce sont 2 choses qui fonctionnent ensemble, mais qui ne sont pas la même chose.
– Le module RF (RF = Radio Fréquence) interne, c’est la partie qui établi le lien 2.4GHz entre le TX (la Taranis) et le récepteur (ce qui est dans le modèle volant et qui contrôle les servos). C’est de cela que l’on parle dans ce Topic. Cela concerne aussi les modules XJT FrSky externe.
– OpenTX, c’est l’OS du TX (la Taranis). C’est la partie qui permet de tout gérer. C’est le chef d’orchestre qui vérifie la positions des manches, des boutons, le retour de télémétrie, qui contrôle le module RF, l’écran, le vibreur, etc..
Chacun a sa propre version de firmware, et même s’ils travaillent en symbiose, la mise à jour de l’un n’impacte pas le fonctionnement de l’autre.

Pour faire une analogie informaticienne:

OpenTX = windows XP/7/8/10 de la radiocommande (dans notre cas la Taranis)
Firmware radio = driver/pilote d’un périphérique (dans notre cas le module RF interne/externe)

Les différentes versions des firmwares:
non-EU: version distribuée partout dans le monde sauf en Europe depuis le 01/01/2015. Supporte les modes D8, D16 et LR12
EU: 1ère version diffusée pour l’Europe début 2015. Il est recommandé de ne plus l’utiliser. Cette toute première version EU n’était pas conforme. Illégale aussi due à l’absence d’une  Déclaration de Conformité et en plus elle contenait un bug technique. La Déclaration de Conformité n’a été rédigée que fin  Janvier 2015 et la version EU a été corrigée avant de céder la place à EU-LBT. Supporte uniquement le mode D16-EU
EU-LBT ou LBT: c’est la version officielle pour toute l’Europe depuis fin 2015. Supporte les modes D16-EU-LBT et LR12

Radios vendues à la norme ETSI EN 300 328 v1.8.1 (obligatoire depuis le 01/01/2015):
– la RF peut être flashée en version non-EU, mais c’est illégal si la radio a été importée après le 01/01/2015.
– Les 1ère radios vendues début 2015 étaient en version EU. Il est très vivement recommandé de les flasher en version EU-LBT (d’ailleurs, tous les RXs vendus aujourd’hui sont en version EU-LBT et non compatible avec la version EU). De plus, certains utilisateurs ont eu des problèmes de portée avec cette 1ère version EU intermédiaire (ce qui n’est, heureusement, plus le cas avec la version finale EU-LBT). Vous êtes prévenus…
– On peut réactiver le mode D8 en décochant la case EU sous Companion, mais c’est illégal si la radio a été importée après le 01/01/2015. Il est en effet illégal d’émettre en mode D8 avec un émetteur importé après le 01/01/2015, mais c’est autorisé si on utilise un module externe DJT ou XJT importé avant cette date.
– Si vous  votre radio a été importée avant le 01/01/2015, vous pouvez la passer en mode EU-LBT et activer le mode D8. C’est légal (comme Spektrum avec son mode DSM2 et DSMX avant 2015, puis uniquement du DSMX à partir de 2015).
– Retour du mode LR12 avec le firmware EU-LBT (ce n’est pas le cas avec le firmware EU qui supporte uniquement le mode D16-EU).

Radios vendues à la norme ETSI EN 300 328 v1.9.1:
– FrSky livre toutes ses nouvelles radios depuis Avril/Juin 2016 directement en version 1.9.1. FrSky a pris les devants, alors que cette norme n’est pas obligatoire avant Juin 2016… C’est regrettable et incompréhensible, mais c’est ainsi. De tout façon, la version officiel est: EU-LBT.
– la RF ne peut pas être flashée par l’utilisateur, même pour faire un upgrade ! Seul les SAVs agréés peuvent effectuer des opérations sur la partie RF.
– la RF est forcement en version EU-LBT.
– On peut réactiver le mode D8 en décochant la case EU sous Companion, mais c’est illégal car les radios à la norme 1.9.1 ont forcément été achetées après le 01/01/2015.
– Support du mode LR12 et D16-EU-LBT.

A noter:
– La seule différence entre la norme ETSI EN 300 328 v1.8.1 et la norme ETSI EN 300 328 v1.9.1 est: l’utilisateur ne peut plus mettre à jour la partie RF. Ceci est d’ailleurs valable pour tous les équipements en 2.4Ghz (WiFi, etc…). Veuillez noter que le protocole D16-EU-LBT est strictement identique entre ces 2 normes.
– Pour l’instant les modules externes XJT sont toujours en version 1.8.1 (donc “flashable”).
– Les mises à jour des récepteurs ne sont pas (pour l’instant) bloquées. Donc, les acheteurs de Taranis avant le 01/01/2015 peuvent acheter des récepteurs à la norme EU-LBT en Europe et les re-flasher avec une version non-EU, mais cette opération n’est pas légale.
– FrSky recommande à ceux qui ont achetés une Taranis avant le 01/01/2015 de mettre à jour tous leurs équipements FrSky à la norme 1.8.1 (EU-LBT). Attention, il faut refaire l’appairage après avoir fait la mise à jour ! Sinon votre RX peut se comporter de façon bizarre (le plus souvent on voit les servos frétiller de façon erratique).
– Le mode D8 est le même dans le monde entier, mais n’est plus légal pour les équipements neufs vendus après le 01/01/2015.
– Le mode LR12 est le même dans le monde entier.
– L’importation et la vente des récepteurs série D en Europe sont illégales, sauf pour anciens stocks importés avant le 01/01/2015. Pour les récepteurs de la série V c’est différent du fait qu’ils n’émettent pas. Ceci dit, il faut bien noter l’absence de Déclaration de Conformité pour la série V…

Pour résumer:
Avant le 01/01/2015 → version non-EU (mode D8, D16 et LR12) partout pareil dans le monde.
Après le 01/01/2015 → version EU-LBT (mode D16-EU-LBT et LR12) en Europe et version non-EU (mode D8, D16 et LR12) pour le reste du monde. Même si on peut le réactiver, le Mode D8 n’est plus légal en Europe pour les radio achetée à partir de 2015.
On oublie la version EU pas LBT, car c’était une version intermédiaire avec des problèmes de portée. Si votre Taranis a été achetée entre janvier 2015 et novembre 2015 et que vous avez des problèmes d’appairages avec les RXs EU-LBT, alors vous êtes très certainement en version EU.

Je vous recommande vivement les tutos suivants:
Impossible d’appairer un RX avec la radio
Passer facilement un récepteur en version EU ou non-EU
Passer facilement sa radio en version EU ou non-EU

Pour info, voici les numéros de révision des firmwares EU-LBT (au moment de la rédaction de cet article 20/06/2016):
X4R-X4RSB_LBT_151118.frk
X8R-X6R_LBT_151118.frk

Et pour la partie radio:
XJT_LBT_151223.frk